net.corda.node.services

## Class User

- net.corda.node.services.User

-     public class User

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `User(java.lang.String username, java.lang.String password, java.util.Set<java.lang.String> permissions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `component1()`
    `java.lang.String` | `component2()`
    `java.util.Set<java.lang.String>` | `component3()`
    `User` | `copy(java.lang.String username, java.lang.String password, java.util.Set<java.lang.String> permissions)`
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.String` | `getPassword()`
    `java.util.Set<java.lang.String>` | `getPermissions()`
    `java.lang.String` | `getUsername()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### User

          public User(java.lang.String username,
                      java.lang.String password,
                      java.util.Set<java.lang.String> permissions)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getUsername

          public java.lang.String getUsername()

    - #### getPassword

          public java.lang.String getPassword()

    - #### getPermissions

          public java.util.Set<java.lang.String> getPermissions()

    - #### component1

          public java.lang.String component1()

    - #### component2

          public java.lang.String component2()

    - #### component3

          public java.util.Set<java.lang.String> component3()

    - #### copy

          public User copy(java.lang.String username,
                           java.lang.String password,
                           java.util.Set<java.lang.String> permissions)

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)